For the complete documentation index, see llms.txt. This page is also available as Markdown.

Settings

Endpoints for managing settings

Get all webhook target URLs

get

This endpoint retrieves all webhook target URLs.

Authorizations
x-api-keystringRequired
Responses
200

A list of webhook target URLs

application/json
webhookTargetUrlsobject[]Optional
get/api/v1/settings/webhook-target-urls
GET /api/v1/settings/webhook-target-urls HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
[
  "http://example.com/webhook"
]

Set webhook target URLs

put

This endpoint allows you to set webhook target URLs.

Authorizations
x-api-keystringRequired
Body
urlsstring · uri[]OptionalExample: http://example.com/webhook
Responses
200

Webhook target URLs set successfully

application/json
webhookTargetUrlsobject[]Optional
put/api/v1/settings/webhook-target-urls
PUT /api/v1/settings/webhook-target-urls HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 39

{
  "urls": [
    "http://example.com/webhook"
  ]
}
[
  "http://example.com/webhook"
]

Get PII settings

get

Retrieve the current PII settings for the wallet.

Authorizations
x-api-keystringRequired
Responses
200

PII settings retrieved successfully

application/json
piiRetentionSecondsintegerOptionalExample: 86400
piiRemoveOnApiAccessbooleanOptionalExample: false
get/api/v1/settings/pii
GET /api/v1/settings/pii HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
{
  "piiRetentionSeconds": 86400,
  "piiRemoveOnApiAccess": false
}

Set PII settings

post

Configure PII (Personally Identifiable Information) settings including retention period and removal on API access.

Authorizations
x-api-keystringRequired
Body
piiRetentionSecondsintegerRequired

Number of seconds to retain PII data after a workflow completes. Use 0 to disable automatic removal.

Example: 86400
piiRemoveOnApiAccessbooleanRequired

Whether to remove PII data after it has been accessed via API

Example: false
Responses
200

PII settings updated successfully

application/json
piiRetentionSecondsintegerOptionalExample: 86400
piiRemoveOnApiAccessbooleanOptionalExample: false
post/api/v1/settings/pii
POST /api/v1/settings/pii HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 58

{
  "piiRetentionSeconds": 86400,
  "piiRemoveOnApiAccess": false
}
{
  "piiRetentionSeconds": 86400,
  "piiRemoveOnApiAccess": false
}

Remove all stored PII

post

Manually trigger the removal of all stored PII data for this wallet.

Authorizations
x-api-keystringRequired
Responses
200

PII removal completed

application/json
credentialsTotalintegerOptional

Total number of final state credentials checked

credentialsClearedintegerOptional

Number of credentials cleared

credentialFailuresintegerOptional

Number of credentials failed to clear

presentationsTotalintegerOptional

Total number of final state presentations checked

presentationsClearedintegerOptional

Number of presentations cleared

presentationFailuresintegerOptional

Number of presentations failed to clear

post/api/v1/settings/pii/remove-all
POST /api/v1/settings/pii/remove-all HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
{
  "credentialsTotal": 1,
  "credentialsCleared": 1,
  "credentialFailures": 1,
  "presentationsTotal": 1,
  "presentationsCleared": 1,
  "presentationFailures": 1
}

Last updated

Was this helpful?